summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Lockywolf <for_sbo.srtp2_2023-05-12@lockywolf.net>2023-05-19 22:48:17 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-20 11:17:14 +0700
commitc6147537d3f8429f285544f69010d02b2bbbcfec (patch)
treed115ce3e0b0fc7cd63fed72bd52866d7a5b0e6fb /libraries
parentaf15b27b35e6a87fcff4568dc4d7935ca92efbea (diff)
downloadslackbuilds-c6147537d3f8429f285544f69010d02b2bbbcfec.tar.gz
slackbuilds-c6147537d3f8429f285544f69010d02b2bbbcfec.tar.xz
libraries/libsrtp2: Added (Secure RTP libraries version 2)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libsrtp2/README11
-rw-r--r--libraries/libsrtp2/libsrtp2.SlackBuild111
-rw-r--r--libraries/libsrtp2/libsrtp2.info10
-rw-r--r--libraries/libsrtp2/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/libraries/libsrtp2/README b/libraries/libsrtp2/README
new file mode 100644
index 0000000000..00f91e57e1
--- /dev/null
+++ b/libraries/libsrtp2/README
@@ -0,0 +1,11 @@
+libsrtp2 is the Open Source Secure RTP library from Cisco Systems,
+Inc. RTP is the Real-time Transport Protocol, an IETF standard
+for the transport of real-time data such as telephony, audio, and
+video, defined by RFC 3550. Secure RTP (SRTP) is an RTP profile for
+providing confidentiality to RTP data and authentication to the RTP
+header and payload. SRTP is an IETF Standard, defined in RFC 3711,
+and was developed in the IETF Audio/Video Transport (AVT) Working
+Group. This library supports all of the mandatory features of SRTP,
+but not all of the optional features.
+
+libsrtp2 does not conflict with libsrtp.
diff --git a/libraries/libsrtp2/libsrtp2.SlackBuild b/libraries/libsrtp2/libsrtp2.SlackBuild
new file mode 100644
index 0000000000..125d0ba948
--- /dev/null
+++ b/libraries/libsrtp2/libsrtp2.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+
+# Slackware build script for libsrtp2
+
+# Copyright 2023 Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libsrtp2
+TGZNAM=libsrtp
+VERSION=${VERSION:-2.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="CHANGES LICENSE CODEOWNERS README.md $CWD/$PRGNAM.SlackBuild"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TGZNAM-$VERSION
+tar xvf $CWD/$TGZNAM-$VERSION.tar.gz
+cd $TGZNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make shared_library
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+rm -f $PKG/usr/lib*/*.la
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libsrtp2/libsrtp2.info b/libraries/libsrtp2/libsrtp2.info
new file mode 100644
index 0000000000..67a8b3b9a3
--- /dev/null
+++ b/libraries/libsrtp2/libsrtp2.info
@@ -0,0 +1,10 @@
+PRGNAM="libsrtp2"
+VERSION="2.5.0"
+HOMEPAGE="https://github.com/cisco/libsrtp"
+DOWNLOAD="https://github.com/cisco/libsrtp/archive/v2.5.0/libsrtp-2.5.0.tar.gz"
+MD5SUM="740557a07928be1886822ce307736e89"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.srtp2_2023-05-12@lockywolf.net"
diff --git a/libraries/libsrtp2/slack-desc b/libraries/libsrtp2/slack-desc
new file mode 100644
index 0000000000..91bbad4ed2
--- /dev/null
+++ b/libraries/libsrtp2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libsrtp2: libsrtp2 (Secure RTP libraries version 2)
+libsrtp2:
+libsrtp2: libsrtp2 is the Open Source Secure RTP library from Cisco Systems.
+libsrtp2: RTP is the Real-time Transport Protocol, an IETF standard for the
+libsrtp2: transport of real-time data such as telephony, audio, and video,
+libsrtp2: defined by RFC 3550.
+libsrtp2:
+libsrtp2:
+libsrtp2:
+libsrtp2:
+libsrtp2: